Subject: [dhcwg] draft-bvtm-dhc-mac-assign-00 - Issue 7 - Can the server expand already assigned block

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 11 Apr 2018 22:27:36 +0000

Hi:

Tomek and I have several open issues (see https://github.com/dhcwg/dhcp-mac/issues) regarding the https://tools.ietf.org/html/draft-bvtm-dhc-mac-assign-00 draft.

One is whether the client can request the server to expand an already assigned block (server can expand) - https://github.com/dhcwg/dhcp-mac/issues/7.

At present, we believe that it is best to keep it simple and require that once a block is allocated (thus until it expires or is released), it is considered "fixed" and cannot be changed in size. A "client" can always allocate another block if it needs more addresses (and that block may or may not be contiguous with earlier assigned blocks).

We also assume that a hypervisor or similar entity that would have the need to obtain larger pools of link-layer addresses has more processing power and can thus deal with many blocks (likely each with a unique IA_ID). And, that the draft-ietf-dhc-rfc3315bis-13 section 18.1 "single exchange" design (based on RFC 7550) does not apply for these kinds of uses - again, the hypervisor likely has sufficient processing power to handle multiple state machines and multiple exchanges.

If you have any comments or suggestions, they are appreciated.

-          Bernie